package com.ruoyi.system.domain.columns;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 门店对象 yj_store
 * 
 * @author ruoyi
 * @date 2025-10-31
 */
@Data
public class YjStore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String banner;

    /** 门店名称 */
    @Excel(name = "门店名称")
    private String storeName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 门店电话 */
    @Excel(name = "门店电话")
    private String phone;

    /** 创始人/店长简介（富文本） */
    @Excel(name = "创始人/店长简介", readConverterExp = "富=文本")
    private String founder;

    /** 企业/门店简介（富文本） */
    @Excel(name = "企业/门店简介", readConverterExp = "富=文本")
    private String profile;

    /** $column.columnComment */
    private Long deptId;

    private String tenantId;

    private String deptName;

    public void setBanner(String banner) 
    {
        this.banner = banner;
    }

    public String getBanner() 
    {
        return banner;
    }
    public void setStoreName(String storeName) 
    {
        this.storeName = storeName;
    }

    public String getStoreName() 
    {
        return storeName;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setFounder(String founder) 
    {
        this.founder = founder;
    }

    public String getFounder() 
    {
        return founder;
    }
    public void setProfile(String profile) 
    {
        this.profile = profile;
    }

    public String getProfile() 
    {
        return profile;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("banner", getBanner())
            .append("storeName", getStoreName())
            .append("address", getAddress())
            .append("phone", getPhone())
            .append("founder", getFounder())
            .append("profile", getProfile())
            .append("deptId", getDeptId())
            .toString();
    }
}
